from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XOOXMLDocumentPropertiesImporter(XInterface, Protocol):
    def getCorePropertiesStream(self, xSource: XStorage) -> XInputStream: ...
    def getExtendedPropertiesStream(self, xSource: XStorage) -> XInputStream: ...
    def getCustomPropertiesStreams(self, xSource: XStorage) -> list[XInputStream]: ...
